Package csb :: Package statmech :: Module ensembles :: Class BoltzmannEnsemble

[frames] | no frames]

# Class BoltzmannEnsemble

source code

             object --+
                      |
    StatisticalEnsemble --+
                          |
                         BoltzmannEnsemble

Known Subclasses:
  - FermiEnsemble

Nested Classes
Inherited from `StatisticalEnsemble`: `__metaclass__`

Instance Methods

__init__(self, beta=1.0) x.__init__(...) initializes x; see help(type(x)) for signature | source code

energy(self, raw_energies) Transforms the raw energies as if they were observed in this statistical ensemble | source code

Inherited from `StatisticalEnsemble`: `__call__`, `gradient`, `log_prob` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| __abstractmethods__ = ``frozenset([``])``

Properties
| beta Inverse temperature
Inherited from `object`: `__class__`

Method Details

### __init__(self, beta=1.0)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

### energy(self, raw_energies)

source code

Transforms the raw energies as if they were observed in this statistical ensemble

Overrides: StatisticalEnsemble.energy
  (inherited documentation)

Property Details

### beta

Inverse temperature

Get Method:
  unreachable.beta(self) - Inverse temperature
Set Method:
  unreachable.beta(self, value)